<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
    <PackageId>Hopetry</PackageId>
    <Product>数据同步</Product>
    <ApplicationIcon>logo.ico</ApplicationIcon>
    <Description>内外业数据同步</Description>
    <AssemblyVersion>1.0.0</AssemblyVersion>
    <FileVersion>1.0.0</FileVersion>
    <Copyright>Copyright © hopytry 2025-2030</Copyright>
    <Authors>hopetry</Authors>
    <PackageProjectUrl></PackageProjectUrl>
    <TargetFramework>net8.0-windows</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="HeBianGu.Base.WpfBase" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Adorner" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Explorer" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Guide" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Host" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Message" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.MessageContainer" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.Panel" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.PasswordBox" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Control.ThemeSet" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Service.Animation" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Service.AppConfig" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Service.MarkupExtension" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Service.Mvc" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Service.Mvp" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.About" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.Encryption" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.Identity" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.Print" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.Setting" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.Start" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Systems.XmlSerialize" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Window.Link" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Window.Message" Version="5.0.0" />
    <PackageReference Include="HeBianGu.Window.MessageDialog" Version="5.0.0" />
    <PackageReference Include="Microsoft.Data.Sqlite" Version="9.0.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.3" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.3" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="9.0.3" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="9.0.3" />
    <PackageReference Include="Microsoft.Extensions.Configuration.FileExtensions" Version="9.0.3" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="9.0.3" />
    <PackageReference Include="Microsoft.Extensions.Logging" Version="9.0.3" />
    <PackageReference Include="Minio" Version="6.0.4" />
    <PackageReference Include="ModernWpfUI" Version="0.9.6" />
    <PackageReference Include="Moq" Version="4.20.72" />
    <PackageReference Include="MSTest.TestFramework" Version="3.8.2" />
    <PackageReference Include="NLog" Version="5.4.0" />
    <PackageReference Include="Polly" Version="8.5.2" />
    <PackageReference Include="WPF-UI" Version="4.0.2" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Models\" />
    <Folder Include="Assets\" />
  </ItemGroup>

</Project>
